import java.awt.*;

public abstract class ColorScheme {
    String schemename;
    Color highlight = Color.WHITE;

    public ColorScheme() {}

    public Color getColor(double scaledintensity) {
	return Color.black;
    }

    public Color getHighlight() { return highlight; }

    public String getSchemeName() {
	return schemename;
    }
}

